From: shile.zhang@linux.alibaba.com
To: Masahiro Yamada <yamada.masahiro@socionext.com>,
Michal Marek <michal.lkml@markovi.net>,
Thomas Gleixner <tglx@linutronix.de>,
Ingo Molnar <mingo@redhat.com>, Borislav Petkov <bp@alien8.de>,
Josh Poimboeuf <jpoimboe@redhat.com>,
x86@kernel.org
Cc: "H . Peter Anvin" <hpa@zytor.com>,
linux-kernel@vger.kernel.org, linux-kbuild@vger.kernel.org,
Shile Zhang <shile.zhang@linux.alibaba.com>
Subject: [RFC PATCH v2 2/3] kbuild: Sort ORC unwind tables in vmlinux link phase
Date: Fri, 8 Nov 2019 15:11:07 +0800 [thread overview]
Message-ID: <20191108071108.72132-3-shile.zhang@linux.alibaba.com> (raw)
In-Reply-To: <20191108071108.72132-1-shile.zhang@linux.alibaba.com>
From: Shile Zhang <shile.zhang@linux.alibaba.com>
Sort the ORC unwind tables in vmlinux link phase, only for ORC unwinder.
Signed-off-by: Shile Zhang <shile.zhang@linux.alibaba.com>
---
scripts/link-vmlinux.sh | 14 ++++++++++++++
1 file changed, 14 insertions(+)
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
index 06495379fcd8..dea7797fcbdc 100755
--- a/scripts/link-vmlinux.sh
+++ b/scripts/link-vmlinux.sh
@@ -183,6 +183,11 @@ sortextable()
${objtree}/scripts/sortextable ${1}
}
+sortorctable()
+{
+ ${objtree}/scripts/sortorctable ${1}
+}
+
# Delete output files in case of error
cleanup()
{
@@ -303,6 +308,15 @@ if [ -n "${CONFIG_BUILDTIME_EXTABLE_SORT}" ]; then
sortextable vmlinux
fi
+if [ -n "${CONFIG_UNWINDER_ORC}" ]; then
+ info SORTORC vmlinux
+ if ! sortorctable vmlinux; then
+ echo >&2 Failed to sort ORC unwind tables
+ echo >&2 Check what is wrong and try again
+ exit 1
+ fi
+fi
+
info SYSMAP System.map
mksysmap vmlinux System.map
--
2.24.0.rc2
next prev parent reply other threads:[~2019-11-08 7:11 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-08 7:11 [RFC PATCH v2 0/3] Speed booting by sorting ORC unwind tables at build time shile.zhang
2019-11-08 7:11 ` [RFC PATCH v2 1/3] scripts: Add sortorctable to sort ORC unwind tables shile.zhang
2019-11-08 9:55 ` Peter Zijlstra
2019-11-11 2:46 ` Shile Zhang
2019-11-08 7:11 ` shile.zhang [this message]
2019-11-08 7:11 ` [RFC PATCH v2 3/3] x86/unwind/orc: remove run-time ORC unwind tables sort shile.zhang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20191108071108.72132-3-shile.zhang@linux.alibaba.com \
--to=shile.zhang@linux.alibaba.com \
--cc=bp@alien8.de \
--cc=hpa@zytor.com \
--cc=jpoimboe@redhat.com \
--cc=linux-kbuild@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=michal.lkml@markovi.net \
--cc=mingo@redhat.com \
--cc=tglx@linutronix.de \
--cc=x86@kernel.org \
--cc=yamada.masahiro@socionext.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox